org.apache.cassandra.cql3.selection

## Class Selectable.WritetimeOrTTL.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.Raw
  - - org.apache.cassandra.cql3.selection.Selectable.WritetimeOrTTL.Raw

Enclosing class:
  Selectable.WritetimeOrTTL

    public static class Selectable.WritetimeOrTTL.Raw
    extends Selectable.Raw

### Constructor Summary

Constructors
Constructor and Description
`Raw(ColumnDefinition.Raw id, boolean isWritetime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Selectable.WritetimeOrTTL` `prepare(CFMetaData cfm)`

### Methods inherited from class org.apache.cassandra.cql3.selection.Selectable.Raw

`processesSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Raw

    public Raw(ColumnDefinition.Raw id,
               boolean isWritetime)

### Method Detail

#### prepare

    public Selectable.WritetimeOrTTL prepare(CFMetaData cfm)

Specified by:
  `prepare` in class `Selectable.Raw`